Skip to content
Puurk Developers
Search
Ctrl
K
Cancel
Select theme
Dark
Light
Auto
Menu
Get started
Overview
Get access
API reference
Overview
Activity
Overview
Create an activity
POST
Get an activity
GET
Delete an activity
DELETE
Update an activity
PATCH
List activity for an organization
GET
List activity for a client
GET
Auth
Overview
Issue a service token
POST
Validate a service token
GET
List API clients
GET
Register a new API client
POST
Deactivate an API client
DELETE
Update an API client
PATCH
Rotate an API client's keys
POST
Checkout
Overview
List an organization's sellable services
GET
Price a cart
POST
Create a checkout session
POST
Get a checkout session
GET
Get public checkout session details
GET
Select a plan for a checkout session
POST
Prepare payment for a checkout session
POST
Confirm a checkout session
POST
Get the checkout session contract
GET
Clients
Overview
List leads
GET
Create a lead
POST
Get a lead by ID
GET
Delete a lead
DELETE
Update a lead
PATCH
List leads for an organization
GET
Search leads for an organization
GET
Get a lead photo URL
GET
Contracts
Overview
Create a contract
POST
Get a contract by ID
GET
Delete a contract
DELETE
Update a contract
PATCH
List contracts for an organization
GET
Get contract stats
GET
Generate contract stats
POST
Credits
Overview
Create a credit
POST
Get a credit
GET
Delete a credit
DELETE
Update a credit
PATCH
List credits for an organization
GET
Items Received
Overview
Create an item received
POST
Get an item received
GET
Delete an item received
DELETE
Update an item received
PATCH
List items received for an organization
GET
Onboarding
Overview
Get onboarding status
GET
Get onboarding progress
GET
Update onboarding progress
POST
Organizations
Overview
List organizations
GET
Create an organization
POST
Get an organization
GET
Delete an organization
DELETE
Update an organization
PATCH
List organizations a user can access
GET
Get an organization logo URL
GET
Get an organization user
GET
Add a user to an organization
POST
Remove a user from an organization
DELETE
Update an organization user
PATCH
List organization locations
GET
Create an organization location
POST
Get an organization location
GET
Delete an organization location
DELETE
Update an organization location
PATCH
Link a user to an organization
POST
Bulk assign a user to organizations
POST
Bulk assign users to an organization
POST
Get organization onboarding
GET
Create organization onboarding
POST
Delete organization onboarding
DELETE
Update organization onboarding
PATCH
Get organization legal
GET
Create organization legal
POST
Delete organization legal
DELETE
Update organization legal
PATCH
Payments
Overview
Get a payment by ID
GET
Get payments for an offer
GET
Get payments for a contract
GET
Get merchant account status
GET
Create a Stripe Connect onboarding link
POST
Prepare a checkout payment
POST
Prepare a checkout setup intent
POST
Confirm a checkout payment
POST
Verify a checkout payment
POST
Plans
Overview
Add services to an offer
POST
Get offer stats
GET
Generate offer stats
POST
Assign plan numbers
POST
Calculate payment terms
GET
List or fetch offers
GET
Create an offer
POST
Get an offer
GET
Add a credit to an offer
POST
Remove a credit from an offer
DELETE
Remove a service from an offer
DELETE
List offers for an organization
GET
Reports
Overview
Deposit summary report
GET
Deposit detail report
GET
Monthly AR report
GET
Payment details report
GET
Services sold summary report
GET
Services sold report
GET
Services
Overview
Create a service
POST
Get a service
GET
Delete a service
DELETE
Update a service
PATCH
List services for an organization
GET
Users
Overview
List users
GET
Create a user
POST
Get a user by ID
GET
Delete a user
DELETE
Update a user
PATCH
List users for an organization
GET
Get user photo URL
GET
Get communication preferences
GET
Create communication preferences
POST
Update communication preferences
PATCH
Clean up organization users
POST
Webhooks
Overview
List webhook endpoints
GET
Register a webhook endpoint
POST
Delete a webhook endpoint
DELETE
Sandbox
Overview
Reset a sandbox org to its seeded state (sandbox only)
POST
Self-provision a seeded sandbox organization (sandbox only)
POST
Select theme
Dark
Light
Auto
Overview
Contracts
Section titled “Contracts”
Contract lifecycle management
Operations
Section titled “Operations”
POST
/contracts
GET
/contracts/{contractId}
DELETE
/contracts/{contractId}
PATCH
/contracts/{contractId}
GET
/organizations/{oid}/contracts
GET
/contracts/stats
POST
/contracts/stats